Page MenuHomePhabricator

Spike (2 hours): Document how to run a testing environment and browser tests on each patch.
Closed, ResolvedPublic

Description

As an engineer working on Wikimedia projects or a community member or a reading web team member, I want to be able to find how Reading Web set up their testing environment and how they are running tests on every patch so that I can replicate the effort, understand what they are doing, or troubleshoot possible problems easily.

Outcomes are:

  • All parts of the process are properly documented on-wiki.
  • Another engineer is able to replicate setting up the testing environment.
  • We've publicly communicated about what we've achieved and documented.

Related epic: T100293
Time: 2hrs

Event Timeline

Jhernandez claimed this task.
Jhernandez raised the priority of this task from to High.
Jhernandez updated the task description. (Show Details)
Jhernandez moved this task from Incoming to 2016-17 Q2 on the Readers-Web-Backlog board.
Jhernandez moved this task from 2016-17 Q2 to 2015-16 Q2 on the Readers-Web-Backlog board.
Jhernandez added subscribers: Aklapper, Jhernandez, phuedx.
Jdlrobson closed this task as Resolved.Sep 4 2015, 5:35 PM
Jdlrobson added a subscriber: Jdlrobson.

Given we now do this per commit. Calling this done.

Jdlrobson reopened this task as Open.Sep 4 2015, 5:36 PM

Actually ... too trigger happy. On re-think maybe this needs to be on wiki somewhere. Should check before closing.

Jdlrobson renamed this task from [EPIC] Document how to run a testing environment and browser tests on each patch. to Document how to run a testing environment and browser tests on each patch..Sep 8 2015, 11:35 PM
Jdlrobson set Security to None.
Spage added a subscriber: Spage.EditedSep 9 2015, 10:59 PM

https://mediawiki.org/wiki/Continuous_integration/Browser_tests is the place for the Jenkins part, and https://mediawiki.org/wiki/Quality_Assurance/Browser_testing links to it.. Does the way individual developers run browser tests locally change? If so, update https://mediawiki.org/wiki/Quality_Assurance/Browser_testing/Running_tests as well.

Jdlrobson removed Jhernandez as the assignee of this task.Sep 14 2015, 3:57 PM
Jdlrobson renamed this task from Document how to run a testing environment and browser tests on each patch. to Spike: Document how to run a testing environment and browser tests on each patch..Sep 14 2015, 4:55 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-56-Four Lions board.
KLans_WMF renamed this task from Spike: Document how to run a testing environment and browser tests on each patch. to Spike (2 hours): Document how to run a testing environment and browser tests on each patch..Sep 14 2015, 4:56 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-56-Four Lions board.
bmansurov added a comment.EditedSep 16 2015, 4:26 PM

The desired outcome is already documented well. I've updated the Reading Web page with links - https://www.mediawiki.org/wiki/Reading/Web#QA

Jdlrobson closed this task as Resolved.Sep 16 2015, 7:05 PM

Looks great. Thanks @bmansurov for wrapping this up! This also means we achieve our goal! Boom! :)